Bug 492712 - Review Request: perl-HTTP-Server-Simple-Static - Serve static files with HTTP::Server::Simple
Summary: Review Request: perl-HTTP-Server-Simple-Static - Serve static files with HTTP...
Status: CLOSED NEXTRELEASE
Alias: None
Product: Fedora
Classification: Fedora
Component: Package Review
Version: rawhide
Hardware: All
OS: Linux
medium
medium
Target Milestone: ---
Assignee: Parag AN(पराग)
QA Contact: Fedora Extras Quality Assurance
URL:
Whiteboard:
Keywords:
Depends On:
Blocks:
TreeView+ depends on / blocked
 
Reported: 2009-03-28 17:12 UTC by Tom "spot" Callaway
Modified: 2009-04-02 17:22 UTC (History)
4 users (show)

(edit)
Clone Of:
(edit)
Last Closed: 2009-04-02 17:10:07 UTC
panemade: fedora-review+
tcallawa: fedora-cvs+


Attachments (Terms of Use)

Description Tom "spot" Callaway 2009-03-28 17:12:10 UTC
Spec URL: http://www.auroralinux.org/people/spot/review/new/perl-HTTP-Server-Simple-Static.spec
SRPM URL: http://www.auroralinux.org/people/spot/review/new/perl-HTTP-Server-Simple-Static-0.07-1.fc11.src.rpm
Description: 
HTTP::Server::Simple::Static adds a method to serve static files from your
HTTP::Server::Simple subclass.

It also is a dependency for the latest perl-Maypole.

Comment 1 Parag AN(पराग) 2009-03-30 07:00:38 UTC
Review:
+ package builds in mock (rawhide i586).
koji Build => http://koji.fedoraproject.org/koji/taskinfo?taskID=1264875
+ rpmlint is silent for SRPM and for RPM.
+ source files match upstream url
79463e02883f6d66018b371eea59c137  HTTP-Server-Simple-Static-0.07.tar.gz
+ package meets naming and packaging guidelines.
+ specfile is properly named, is cleanly written
+ Spec file is written in American English.
+ Spec file is legible.
+ dist tag is present.
+ build root is correct.
+ license is open source-compatible.
+ License text is included in package.
+ %doc is present.
+ BuildRequires are proper.
+ %clean is present.
+ package installed properly.
+ Macro use appears rather consistent.
+ Package contains code, not content.
+ no headers or static libraries.
+ no .pc file present.
+ no -devel subpackage
+ no .la files.
+ no translations are available
+ Does owns the directories it creates.
+ no scriptlets present.
+ no duplicates in %files.
+ file permissions are appropriate.
+ make test gave
All tests successful.
Files=3, Tests=5,  1 wallclock secs ( 0.02 usr  0.00 sys +  0.26 cusr  0.03 csys =  0.31 CPU)
+ Package perl-HTTP-Server-Simple-Static-0.07-1.fc11.noarch =>
  Provides: perl(HTTP::Server::Simple::Static) = 0.07
  Requires: /usr/bin/perl perl(File::MMagic) perl(File::Spec::Functions) perl(HTTP::Server::Simple::Static) perl(IO::File) perl(MIME::Types) perl(URI::Escape) perl(base) perl(bytes) perl(lib) perl(strict) perl(warnings)

Suggestions:
1) I think example.pl should be installed as %doc file.

APPROVED.

Comment 2 Tom "spot" Callaway 2009-03-30 22:09:39 UTC
Thanks for the quick review!

New Package CVS Request
=======================
Package Name: perl-HTTP-Server-Simple-Static
Short Description: Serve static files with HTTP::Server::Simple
Owners: spot
Branches: F-9 F-10 devel
InitialCC: perl-sig

... and it's done.

Comment 3 Fedora Update System 2009-03-31 11:50:51 UTC
perl-HTTP-Server-Simple-Static-0.07-2.fc9 has been submitted as an update for Fedora 9.
http://admin.fedoraproject.org/updates/perl-HTTP-Server-Simple-Static-0.07-2.fc9

Comment 4 Fedora Update System 2009-03-31 11:50:57 UTC
perl-HTTP-Server-Simple-Static-0.07-2.fc10 has been submitted as an update for Fedora 10.
http://admin.fedoraproject.org/updates/perl-HTTP-Server-Simple-Static-0.07-2.fc10

Comment 5 Fedora Update System 2009-04-02 17:10:02 UTC
perl-HTTP-Server-Simple-Static-0.07-2.fc10 has been pushed to the Fedora 10 stable repository.  If problems still persist, please make note of it in this bug report.

Comment 6 Fedora Update System 2009-04-02 17:22:30 UTC
perl-HTTP-Server-Simple-Static-0.07-2.fc9 has been pushed to the Fedora 9 stable repository.  If problems still persist, please make note of it in this bug report.


Note You need to log in before you can comment on or make changes to this bug.